Bug 678803 - [RV280] R200: clutter text drawing corrupted in gnome-shell
[RV280] R200: clutter text drawing corrupted in gnome-shell
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: F15GNOMEfail
  Show dependency treegraph
 
Reported: 2011-02-19 15:22 EST by Michal Jaegermann
Modified: 2015-02-17 08:39 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 08:39:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a "new-and-improved" look with gnome3 (117.89 KB, image/png)
2011-02-19 15:22 EST, Michal Jaegermann
no flags Details
the only piece of xorg.conf in use (323 bytes, text/plain)
2011-04-05 17:57 EDT, Michal Jaegermann
no flags Details
dmesg from the last bootable kernel from boot with drm.debug=0x04 (76.36 KB, text/plain)
2011-04-05 17:59 EDT, Michal Jaegermann
no flags Details
Xorg.0.log from the debug boot (34.50 KB, text/plain)
2011-04-05 18:00 EDT, Michal Jaegermann
no flags Details
/var/log/messages from drm.debug=0x04 (55.92 KB, text/plain)
2011-04-05 18:08 EDT, Michal Jaegermann
no flags Details
PATCH: texstore: stricter check for memcpy path for unorm88 and unorm1616 (2.44 KB, patch)
2011-04-10 18:49 EDT, Hans de Goede
no flags Details | Diff
F15BetaRC1 Before Patch (265.27 KB, image/png)
2011-04-11 02:27 EDT, mwesten
no flags Details
F15BetaRC1 After Patch (289.96 KB, image/png)
2011-04-11 02:28 EDT, mwesten
no flags Details
gnome shell with mesa koji HDG build (312.41 KB, image/png)
2011-04-11 03:43 EDT, Adam Pribyl
no flags Details
text corruption with mouseover in drop down menu (12.85 KB, image/png)
2011-04-11 04:08 EDT, Paul Bolle
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 647158 None None None Never
FreeDesktop.org 34280 None None None Never

  None (edit)
Description Michal Jaegermann 2011-02-19 15:22:45 EST
Created attachment 479724 [details]
a "new-and-improved" look with gnome3

Description of problem:

Attached picture file fairly represents a look a screen with gnome-shell in use.
A display is 1600x1200 LCD panel driven by an DVI-0 output of an "ATI Radeon 9250 5960 (AGP)" video card using KMS.

BTW - is there a way to change that colour scheme? Vision problems of my wife make white lettering on dark backgrounds _absolutely_ unacceptable even if a display could be fixed in some way.

Version-Release number of selected component (if applicable):
gnome-shell-2.91.6-6.fc15.x86_64

How reproducible:
always

Steps to Reproduce:
1. just allow gnome-shell to mess with a session

Additional info:
No problems with a screen picture where not attempting to use gnome-shell
Comment 1 Nicholas Miell 2011-02-22 17:00:21 EST
Me too, with a ATI Technologies Inc RV280 [Radeon 9200] (Secondary) (rev 01)
running the Feb 2011 Graphics Test Day LiveCD.
Comment 2 Michal Jaegermann 2011-02-28 15:43:19 EST
With the current, updated, setup I am getting just a bunch vertical stripes in various shades of blue followed by an immediate crash.  Not much of an improvement.
Comment 3 Paul Bolle 2011-03-08 10:17:13 EST
Similar issue with "ATI Radeon Mobility 9000 (M9) Lf (AGP)" (that should be an RV250 type card) running gnome-shell-2.91.90-2.fc15.i686.
Comment 4 Matěj Cepl 2011-04-05 01:52:01 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 5 Michal Jaegermann 2011-04-05 17:57:48 EDT
Created attachment 490090 [details]
the only piece of xorg.conf in use

There is no explicit /etc/X11/xorg.conf.  The only file residing in /etc/X11/xorg.conf.d is attached.
Comment 6 Michal Jaegermann 2011-04-05 17:59:27 EDT
Created attachment 490091 [details]
dmesg from the last bootable kernel from boot with  drm.debug=0x04
Comment 7 Michal Jaegermann 2011-04-05 18:00:07 EDT
Created attachment 490092 [details]
Xorg.0.log from the debug boot
Comment 8 Michal Jaegermann 2011-04-05 18:08:32 EDT
Created attachment 490094 [details]
/var/log/messages from drm.debug=0x04
Comment 9 Paul Bolle 2011-04-06 07:41:13 EDT
> Matej Cepl <mcepl@redhat.com> changed:
>
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>             Summary|R200: clutter text drawing  |[RV280] R200: clutter text
>                    |corrupted in gnome-shell    |drawing corrupted in
>                    |                            |gnome-shell

Please note that this is reproducible an a RV250 too (see comment #3),
Comment 10 Owen Taylor 2011-04-08 08:39:43 EDT
(Linking to the same bug reported upstream)
Comment 11 Hans de Goede 2011-04-10 18:00:08 EDT
*** Bug 679579 has been marked as a duplicate of this bug. ***
Comment 12 Hans de Goede 2011-04-10 18:01:34 EDT
Note that bugs.fdo has an interesting bug wrt this:
https://bugs.freedesktop.org/show_bug.cgi?id=34280
Comment 13 Hans de Goede 2011-04-10 18:49:29 EDT
Created attachment 491117 [details]
PATCH: texstore: stricter check for memcpy path for unorm88 and unorm1616

Hi,

The attached patch fixes the font corruption / gnome shell misrendering with
r2xx cards (*). It does this by restoring the original texstore behavior from
before commit 5d1387b2da3626326410804026f8b92f1a121fdc for al88 / al1616
textures.

*) Tested with F-15 x86_64 on my rv250 card.

Many thanks to Nicolas Kaiser who did all the hard work of tracking this down
(see https://bugs.freedesktop.org/show_bug.cgi?id=34280).

I've done a mesa scratch build for F-15 for all of you to try:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2992201

Regards,

Hans
Comment 14 mwesten 2011-04-11 02:27:20 EDT
Created attachment 491152 [details]
F15BetaRC1 Before Patch
Comment 15 mwesten 2011-04-11 02:28:56 EDT
Created attachment 491153 [details]
F15BetaRC1 After Patch
Comment 16 mwesten 2011-04-11 02:37:08 EDT
It works!  See the before and after screenshots...
There are still some things that aren't right, but I don't know if they're R200-specific or not.  Thanks Hans!
Comment 17 Adam Pribyl 2011-04-11 03:43:12 EDT
Created attachment 491159 [details]
gnome shell with mesa koji HDG build

This is great improvement. The text is fixed and I also have a working shadows around the windows. The are still some artifacts around icons and icons are not drawn correctly in quick access bar, but this is probably a different cause. Thanx a lot.
Comment 18 Paul Bolle 2011-04-11 04:08:40 EDT
Created attachment 491170 [details]
text corruption with mouseover in drop down menu

0) Huge improvement. (Not only in text rendering but also in things like rendering of window shades, but maybe that is because those packages were not a one issue upgrade for my machine, which was running current Rawhide.)

1) Very similar text corruption still seen elsewhere. Eg, when doing a mouseover on the drop down menu on the top-right side of the gnome-shell.
Comment 19 Hans de Goede 2011-04-11 04:12:59 EDT
(In reply to comment #18)
> Created attachment 491170 [details]
> text corruption with mouseover in drop down menu
> 
> 0) Huge improvement. (Not only in text rendering but also in things like
> rendering of window shades, but maybe that is because those packages were not a
> one issue upgrade for my machine, which was running current Rawhide.)
> 
> 1) Very similar text corruption still seen elsewhere. Eg, when doing a
> mouseover on the drop down menu on the top-right side of the gnome-shell.

Right, unfortunately this patch does not fix all issues with r2xx and gnome-shell, we will use bug 679579 to track the issues not fixed by this patch.

Note that I'm not a mesa developer, so I'm afraid I cannot really help with the other corruption issues.
Comment 20 Matěj Cepl 2011-04-12 12:55:46 EDT
(In reply to comment #19)
> Right, unfortunately this patch does not fix all issues with r2xx and
> gnome-shell, we will use bug 679579 to track the issues not fixed by this
> patch.

Dave, so should be this bug be closed (with continuation in bug 679579)?
Comment 21 Michal Jaegermann 2011-04-12 13:21:08 EDT
(In reply to comment #20)
> 
> Dave, so should be this bug be closed (with continuation in bug 679579)?

Sounds a bit premature.  The same bug affects rawhide, and it was originally reported as such, and there the latest mesa package, even in koji, is mesa-7.11-0.2.20110327.0.fc16.
Comment 22 Adam Pribyl 2012-08-20 09:47:01 EDT
IMHO this is OK now and could be closed. But I've dropped the RV200 card few month ago, can not verify the state of art.
Comment 23 mwesten 2012-08-20 12:07:31 EDT
Yes.  With F17 Release LiveCD, gnome-shell text on my RV250 is good.
Comment 24 Nicholas Miell 2012-08-20 14:35:45 EDT
That's because gnome-shell uses pure software rendering on R200 chipsets, iirc.
Comment 25 mwesten 2012-08-20 15:50:48 EDT
The 3D driver is Mesa DRI R200 8.0.2.  llvmpipe is fine as well, but slow on this machine (Pentium M).
Comment 26 John Reiser 2012-08-20 16:25:30 EDT
I just tried each of these:
   RV200 QW [Radeon 7500]            pci 1002:5157
   RV280    [Radeon 9200 PRO "9250"] pci 1002:5960
and the text in Gnome3 full-screen title bar was drawn correctly.  Of course, this is in fallback mode with no "3D" support (no alpha blending, etc.)  Fedora 17 Release with yum updates:
   xorg-x11-drv-ati-6.14.4-6.20120602git930760942.fc17.i686
   mesa-dri-drivers-8.0.3-3.fc17.i686
Comment 27 Fedora End Of Life 2013-04-03 09:31:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 28 Fedora End Of Life 2015-01-09 11:34:50 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 29 Fedora End Of Life 2015-02-17 08:39:13 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.